Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xmlbeans.impl.common
Class NullLogger

    java.lang.Object
      org.apache.xmlbeans.impl.common.XBLogger
          org.apache.xmlbeans.impl.common.NullLogger

    public class NullLogger

extends XBLogger

A logger class that strives to make it as easy as possible for developers to write log calls, while simultaneously making those calls as cheap as possible by performing lazy evaluation of the log message.

Field Summary

Fields inherited from class org.apache.xmlbeans.impl.common.XBLogger
`DEBUG, ERROR, FATAL, INFO, LEVEL_STRINGS, LEVEL_STRINGS_SHORT, WARN`

Constructor Summary
`NullLogger()`

Method Summary
`protected void` | `_log(int level, java.lang.Object obj1)` Log a message
`protected void` | `_log(int level, java.lang.Object obj1, java.lang.Throwable exception)` Log a message
`boolean` | `check(int level)` Check if a logger is enabled to log at the specified level
`void` | `initialize(java.lang.String cat)`
`void` | `log(int level, java.lang.Object... objs)` Log a message.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### NullLogger

    public NullLogger()

Method Detail

### initialize

    public void initialize(java.lang.String cat)

  Specified by:
    `initialize` in class `XBLogger`

### _log

    protected void _log(int level,
                        java.lang.Object obj1)

  Log a message

  Specified by:
    `_log` in class `XBLogger`
  Parameters:
    `level` - One of DEBUG, INFO, WARN, ERROR, FATAL
    `obj1` - The object to log.

### _log

    protected void _log(int level,
                        java.lang.Object obj1,
                        java.lang.Throwable exception)

  Log a message

  Specified by:
    `_log` in class `XBLogger`
  Parameters:
    `level` - One of DEBUG, INFO, WARN, ERROR, FATAL
    `obj1` - The object to log. This is converted to a string.
    `exception` - An exception to be logged

### log

    public void log(int level,
                    java.lang.Object... objs)

  Log a message. Lazily appends Object parameters together. If the last parameter is a `Throwable` it is logged specially.

  Overrides:
    `log` in class `XBLogger`
  Parameters:
    `level` - One of DEBUG, INFO, WARN, ERROR, FATAL
    `objs` - the objects to place in the message

### check

    public boolean check(int level)

  Check if a logger is enabled to log at the specified level

  Specified by:
    `check` in class `XBLogger`
  Parameters:
    `level` - One of DEBUG, INFO, WARN, ERROR, FATAL

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD